Transaction
Submit Withdraw
Request Body
application/jsonRequiredexternal_account_idRequiredstringcurrency_outRequiredobjectcurrency_inobject | nullfeesarray<object> | nullreferencestringmetadataobjectResponse Body
Successful response
TypeScript Definitions
Use the response body type in TypeScript.
dataRequiredstringError response
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X POST "/v1/transaction.submitWithdraw" \
-H "Content-Type: application/json" \
-d '{
"external_account_id": "string",
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"fees": [
{
"type": "direct",
"value": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"label": "string",
"rate": 0
}
],
"reference": "string",
"metadata": {
"description": "string",
"proof_of_purpose": {
"url": "string",
"name": "string"
}
}
}'const body = JSON.stringify({
"external_account_id": "string",
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"fees": [
{
"type": "direct",
"value": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"label": "string",
"rate": 0
}
],
"reference": "string",
"metadata": {
"description": "string",
"proof_of_purpose": {
"url": "string",
"name": "string"
}
}
})
fetch("/v1/transaction.submitWithdraw", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "/v1/transaction.submitWithdraw"
body := strings.NewReader(`{
"external_account_id": "string",
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"fees": [
{
"type": "direct",
"value": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"label": "string",
"rate": 0
}
],
"reference": "string",
"metadata": {
"description": "string",
"proof_of_purpose": {
"url": "string",
"name": "string"
}
}
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "/v1/transaction.submitWithdraw"
body = {
"external_account_id": "string",
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"fees": [
{
"type": "direct",
"value": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"label": "string",
"rate": 0
}
],
"reference": "string",
"metadata": {
"description": "string",
"proof_of_purpose": {
"url": "string",
"name": "string"
}
}
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text){
"data": "string"
}{
"error": {
"code": "PARSE_ERROR",
"message": "string"
}
}